in vec4 colorV;
in vec4 bgColorV;
out vec4 fragColor;
in float minAmt;
in float maxAmt;
in float tcy;

void main(void) {
	float alpha = step(minAmt, tcy) - step(maxAmt, tcy);
	fragColor	= colorV * alpha + bgColorV * (1.0 - alpha);
}